# Uses of Class
org.apache.datasketches.sampling.ReservoirLongsSketch

Packages that use ReservoirLongsSketch
Package
Description
org.apache.datasketches.sampling
This package is dedicated to streaming algorithms that enable fixed size, uniform sampling of weighted and unweighted items from a stream.

## Uses of ReservoirLongsSketch in org.apache.datasketches.sampling

Methods in org.apache.datasketches.sampling that return ReservoirLongsSketch
Modifier and Type
Method
Description
`ReservoirLongsSketch`
ReservoirLongsUnion.`getResult()`
Returns a sketch representing the current state of the union.
`static ReservoirLongsSketch`
ReservoirLongsSketch.`heapify(org.apache.datasketches.memory.Memory srcMem)`
Returns a sketch instance of this class from the given srcMem, which must be a Memory representation of this sketch class.
`static ReservoirLongsSketch`
ReservoirLongsSketch.`newInstance(int k)`
Construct a mergeable reservoir sampling sketch with up to k samples using the default resize factor (8).
`static ReservoirLongsSketch`
ReservoirLongsSketch.`newInstance(int k, ResizeFactor rf)`
Construct a mergeable reservoir sampling sketch with up to k samples using the default resize factor (8).
Methods in org.apache.datasketches.sampling with parameters of type ReservoirLongsSketch
Modifier and Type
Method
Description
`void`
ReservoirLongsUnion.`update(ReservoirLongsSketch sketchIn)`
Union the given sketch.